% Joe Jupin
% CIS 601 Assignment 1

% Clear all memory
clear all;
% Clear console
clc;

% Declare avi file name
aviFileName = 'hw01.avi';
% Declare and set avi frames per second
framesPerSec = 10; 
% Declare avi object
aviobj = avifile(aviFileName,'fps',framesPerSec);
% Declare frame and set start value
frame = 1;

% defined to reorient court on matrix origin
adr = [6 4; 6 4; 6 4; 6 4];

% define initial court, net and line vertices
lline=[1.0000 1.0000; 1.1250 1.0000; 1.1250 7.0000; 1.0000 7.0000];
rline=[11.0000 1.0000; 11.1250 1.0000; 11.1250 7.0000; 11.0000 7.0000];
lcline=[3.0000 1.0000; 3.1250 1.0000; 3.1250 7.0000; 3.0000 7.0000];
rcline=[9.0000 1.0000; 9.1250 1.0000; 9.1250 7.0000; 9.0000 7.0000];
clline=[1.0000 3.9375; 1.3750 3.9375; 1.3750 4.0625; 1.0000 4.0625];
cline=[3.0000 3.9375; 9.0000 3.9375; 9.0000 4.0625; 3.0000 4.0625];
crline=[10.7500 3.9375; 11.0000 3.9375; 11.0000 4.0625; 10.7500 4.0625];
tline=[1.0000 7.0000; 11.0000 7.0000; 11.0000 6.8750; 1.0000 6.8750];
bline=[1.0000 1.0000; 11.0000 1.0000; 11.0000 1.1250; 1.0000 1.1250];
court=[1 1; 11 1; 11 7; 1 7];
net=[5.9375 0.5000; 6.0625 0.5000; 6.0625 7.5000; 5.9375 7.5000];

% define players and ball
left=[0.5000 3.5000; 0.3750 3.5000; 0.3750 4.5000; 0.5000 4.5000];
right=[11.5000 3.5000; 11.6250 3.5000; 11.6250 4.5000; 11.5000 4.5000];
ball=[0.5000 3.8750; 0.7500 3.8750; 0.7500 4.1250; 0.5000 4.1250];

% define the object faces
f=[1 2 3 4];

% define the scene object colors
fvcc = [ 0 1 0];
fvcln = [ 1 1 1];
fvcn = [ 0 0 0];
fvcl = [ 0 0 1];
fvcr = [ 1 0 0];
fvcb = [ 1 1 0];

% row vector to add to v to create 8x4 matrix for translation/rotation/scaling
vw = [1 1 1 1]';

% show intro
% define initial matrix rotation
RA=[-1 -1; 1 -1; 1 1; -1 1];
% declare initial scaling parameter
sx = 1.0;
sy = 1.0;

% loop through intro
for i=0.0 : 0.25 : 16.0
    
    % draw court
	patch('Vertices', court-adr, 'Faces', f, 'FaceVertexCData', fvcc,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    
    % scale and rotate ball
    if (i < 8.0)
        
        % draw intro ball
        patch('Vertices', RA, 'Faces', f, 'FaceVertexCData', fvcb,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
        
        % define angle of rotation for intro ball
        ang  = 22.5;
        % define rotation matrix for intro ball
        R = [cos(ang) -sin(ang) 0; sin(ang) cos(ang) 0; 0 0 1];
        % rotate intro ball
        RB=[RA vw]';
        RC=(R * RB)';
        RA=RC(:,1:2);
    
        % declare scaling parameter
        sx = sx - 0.0625;
        sy = sy - 0.0625;
        % define scale matrix for intro ball
        S = [sx 0  0; 0  sy 0; 0  0  1];
        % scale intro ball
        SB=[RA vw]';
        SC=(S * SB)';
        RA=SC(:,1:2);
    end
 
    % display intro message
    if (i >= 7.5)
        text(0,1,'Pong 2004','FontSize',36,'FontWeight','bold','Color','r','HorizontalAlignment','center');
        text(0,-0.5,'By','FontSize',16,'FontWeight','normal','Color','k','HorizontalAlignment','center','FontAngle','italic');
        text(0,-1,'Joe Jupin','FontSize',16,'FontWeight','normal','Color','k','HorizontalAlignment','center','FontAngle','italic');
        text(0,-1.5,'CIS 601','FontSize',16,'FontWeight','normal','Color','k','HorizontalAlignment','center','FontAngle','italic');
    end
    
    % set screen parameters to 2D
	view(2);
    % set axis view
	axis([-6 6 -4 4]);
    % hide axis
	axis off;
    
    % store figure in movie file
    storeframe;
    
end

% show court construction
for i = 1:54
    % draw the court object by object
    if (i>3)
	    patch('Vertices', court, 'Faces', f, 'FaceVertexCData', fvcc,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
    end
    if (i>6)
	    patch('Vertices', lline, 'Faces', f, 'FaceVertexCData', fvcln,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
    end
    if (i>9)
	    patch('Vertices', lcline, 'Faces', f, 'FaceVertexCData', fvcln,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
    end
    if (i>12)
	    patch('Vertices', rcline, 'Faces', f, 'FaceVertexCData', fvcln,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
    end
    if (i>15)
	    patch('Vertices', rline, 'Faces', f, 'FaceVertexCData', fvcln,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
    end
    if (i>18)
	    patch('Vertices', tline, 'Faces', f, 'FaceVertexCData', fvcln,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
    end
    if (i>21)
	    patch('Vertices', clline, 'Faces', f, 'FaceVertexCData', fvcln,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
    end
    if (i>24)
	    patch('Vertices', cline, 'Faces', f, 'FaceVertexCData', fvcln,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
    end
    if (i>27)
	    patch('Vertices', crline, 'Faces', f, 'FaceVertexCData', fvcln,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
    end
    if (i>30)
	    patch('Vertices', bline, 'Faces', f, 'FaceVertexCData', fvcln,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
    end
    if (i>33)
        patch('Vertices', net, 'Faces', f, 'FaceVertexCData', fvcn,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
    end
    if (i>36)
        patch('Vertices', left, 'Faces', f, 'FaceVertexCData', fvcl,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
    end
    if (i>39)
        patch('Vertices', right, 'Faces', f, 'FaceVertexCData', fvcr,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
    end
    if (i>42)
        patch('Vertices', ball, 'Faces', f, 'FaceVertexCData', fvcb,...
		    'FaceColor', 'flat', 'EdgeColor', 'none');
    end
    
    % set screen parameters to 2D
	view(2);
    % set axis view
	axis([0 12 0 8]);
    % hide axis
	axis off;
    
    % store figure in movie file
    storeframe;
  
end
    
% show original scene
for i = 1:5
    % show the actual new cube coordinates
	patch('Vertices', court, 'Faces', f, 'FaceVertexCData', fvcc,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
	patch('Vertices', lline, 'Faces', f, 'FaceVertexCData', fvcln,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
	patch('Vertices', lcline, 'Faces', f, 'FaceVertexCData', fvcln,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
	patch('Vertices', rcline, 'Faces', f, 'FaceVertexCData', fvcln,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
	patch('Vertices', rline, 'Faces', f, 'FaceVertexCData', fvcln,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
	patch('Vertices', tline, 'Faces', f, 'FaceVertexCData', fvcln,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
	patch('Vertices', clline, 'Faces', f, 'FaceVertexCData', fvcln,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
	patch('Vertices', cline, 'Faces', f, 'FaceVertexCData', fvcln,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
	patch('Vertices', crline, 'Faces', f, 'FaceVertexCData', fvcln,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
	patch('Vertices', bline, 'Faces', f, 'FaceVertexCData', fvcln,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    patch('Vertices', net, 'Faces', f, 'FaceVertexCData', fvcn,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    patch('Vertices', left, 'Faces', f, 'FaceVertexCData', fvcl,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    patch('Vertices', right, 'Faces', f, 'FaceVertexCData', fvcr,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    patch('Vertices', ball, 'Faces', f, 'FaceVertexCData', fvcb,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    
    % set screen parameters to 2D
	view(2);
    % set axis view
	axis([0 12 0 8]);
    % hide axis
	axis off;
    
    % store figure in movie file
    storeframe;
  
end

% set players initial positions
leftnew = left;
lx = 0.0;
rightnew = right;
rx = 0.0;
ry = 0.0;
% set ball initial scale and angle
sx = 0.0;
sy = 0.0;
ang = 0.0;

% draw play scene 1
for i=0.0 : 0.5 : 9.5
   
    % declare ball translation paramters
    bx = i;
    by = -i/9;
    % declare translation matrix
    BT = [1 0 bx; 0 1 by; 0 0 1];
    % translate ball
    ballw = [ball vw]';
    ballcomp = (BT * ballw)';
    ballnew = ballcomp(:,1:2);
    
    % declare ball scale up paramters
    if (i < 5.0)
        sx = sx + 0.03125;
        sy = sy + 0.03125;
    end
    
    % declare ball scale down paramters
    if (i >= 5.0)
        sx = sx - 0.03125;
        sy = sy - 0.03125;
    end
    
    % declare scale matrix
    S = [sx 0  0; 0  sy 0; 0  0  1];
    % declare matrix at origin
    SA=[-1 -1; 1 -1; 1 1; -1 1];
    % scale ball
    SB=[SA vw]';
    SC=(S * SB)';
    SD=SC(:,1:2);

    % resize the ball
    ballnew = ballnew + SD;
    
    if (i>1.0) & (i<4.5)
        % declare left translation paramters
        lx = lx + 0.25;
        ly = 0.0;
        % declare left translation matrix
        LT = [1 0 lx; 0 1 ly; 0 0 1];
        % translate left
        leftw = [left vw]';
        leftcomp = (LT * leftw)';
        leftnew = leftcomp(:,1:2);
    end
	
    if (i>6.0) & (i<9.0)
        % declare right translation paramters
        rx = rx - 0.25;
        ry = ry - 0.25;
        % declare right translation matrix
        RT = [1 0 rx; 0 1 ry; 0 0 1];
        % translate right
        rightw = [right vw]';
        rightcomp = (RT * rightw)';
        rightnew = rightcomp(:,1:2);
    end
 
    % draw the scene
    drawplay;
    % store figure in movie file
    storeframe;
end

% retain balls present position
ballold = ballnew;

% draw play scene 2
for i=0.0 : 0.5 : 7.5
   
    % declare ball translation paramters
    bx = -i;
    by = 0;
    % declare translation matrix
    BT = [1 0 bx; 0 1 by; 0 0 1];
    % translate ball
    ballw = [ballold vw]';
    ballcomp = (BT * ballw)';
    ballnew = ballcomp(:,1:2);
    
    % declare ball scale up paramters
    if (i < 4.0)
        sx = sx + 0.03125;
        sy = sy + 0.03125;
    end
    
    % declare ball scale up paramters
    if (i >= 4.0)
        sx = sx - 0.03125;
        sy = sy - 0.03125;
    end
    
    % declare scale matrix
    S = [sx 0  0; 0  sy 0; 0  0  1];
    % declare matrix at origin
    SA=[-1 -1; 1 -1; 1 1; -1 1];
    % scale ball
    SB=[SA vw]';
    SC=(S * SB)';
    SD=SC(:,1:2);
    
    % scale the ball
    ballnew = ballnew + SD;
    
    if (i>4.0) & (i<6.5)
        % declare left translation paramters
        lx = lx + 0.125;
        ly = ly - 0.25;
        % declare left translation matrix
        LT = [1 0 lx; 0 1 ly; 0 0 1];
        % translate left
        leftw = [left vw]';
        leftcomp = (LT * leftw)';
        leftnew = leftcomp(:,1:2);
    end
	
    if (i>1.0) & (i<4.0)
        % declare right translation paramters
        rx = rx;
        ry = ry + 0.25;
        % declare right translation matrix
        RT = [1 0 rx; 0 1 ry; 0 0 1];
        % translate right
        rightw = [right vw]';
        rightcomp = (RT * rightw)';
        rightnew = rightcomp(:,1:2);
    end    
    
    % draw the scene
    drawplay;
    % store figure in movie file
    storeframe;
    
end

% retain balls present position
ballold = ballnew;

% draw play scene 3
for i=0.0 : 0.5 : 5.5
    
    % declare translation paramters
    bx = i;
    by = i/2;
    % declare translation matrix
    BT = [1 0 bx; 0 1 by; 0 0 1];
    % translate ball
    ballw = [ballold vw]';
    ballcomp = (BT * ballw)';
    ballnew = ballcomp(:,1:2);
    
    % declare ball scale up paramters
    if (i < 3.0)
        sx = sx + 0.03125;
        sy = sy + 0.03125;
    end
    
    % declare ball scale up paramters
    if (i >= 3.0)
        sx = sx - 0.03125;
        sy = sy - 0.03125;
    end

    % declare scale matrix
    S = [sx 0  0; 0  sy 0; 0  0  1];
    % declare matrix at origin
    SA=[-1 -1; 1 -1; 1 1; -1 1];
    % scale ball
    SB=[SA vw]';
    SC=(S * SB)';
    SD=SC(:,1:2);
    
    % scale the ball
    ballnew = ballnew + SD;
    
    if (i>1.0) & (i<3.5)
        % declare left translation paramters
        lx = lx - 0.125;
        ly = ly + 0.25;
        % declare left translation matrix
        LT = [1 0 lx; 0 1 ly; 0 0 1];
        % translate left
        leftw = [left vw]';
        leftcomp = (LT * leftw)';
        leftnew = leftcomp(:,1:2);
    end
	
    if (i>2.0) & (i<5.0)
        % declare right translation paramters
        rx = rx - 0.4;
        ry = ry + 0.375;
        % declare right translation matrix
        RT = [1 0 rx; 0 1 ry; 0 0 1];
        % translate right
        rightw = [right vw]';
        rightcomp = (RT * rightw)';
        rightnew = rightcomp(:,1:2);
    end    
    
    % draw the scene
    drawplay;
    % store figure in movie file
    storeframe;
    
end

% retain balls present position
ballold = ballnew;

% draw play scene 4
for i=0.0 : 0.5 : 4.5
    
    % declare ball translation paramters
    bx = -i;
    by = -i;
    % declare translation matrix
    BT = [1 0 bx; 0 1 by; 0 0 1];
    % translate ball
    ballw = [ballold vw]';
    ballcomp = (BT * ballw)';
    ballnew = ballcomp(:,1:2);
    
    % declare ball scale up paramters
    if (i < 2.5)
        sx = sx + 0.03125;
        sy = sy + 0.03125;
    end
    
    % declare ball scale up paramters
    if (i >= 2.5)
        sx = sx - 0.03125;
        sy = sy - 0.03125;
    end
    
    % declare scale matrix
    S = [sx 0  0; 0  sy 0; 0  0  1];
    % declare matrix at origin
    SA=[-1 -1; 1 -1; 1 1; -1 1];
    % scale ball
    SB=[SA vw]';
    SC=(S * SB)';
    SD=SC(:,1:2);
    
    % scale the ball
    ballnew = ballnew + SD;
    
    if (i>2.0) & (i<4.0)
        % declare left translation paramters
        lx = lx + 0.375;
        ly = ly - 0.5;
        % declare left translation matrix
        LT = [1 0 lx; 0 1 ly; 0 0 1];
        % translate left
        leftw = [left vw]';
        leftcomp = (LT * leftw)';
        leftnew = leftcomp(:,1:2);
    end
	
    if (i>1.0) & (i<4.0)
        % declare right translation paramters
        rx = rx + 0.4;
        ry = ry - 0.375;
        % declare right translation matrix
        RT = [1 0 rx; 0 1 ry; 0 0 1];
        % translate right
        rightw = [right vw]';
        rightcomp = (RT * rightw)';
        rightnew = rightcomp(:,1:2);
    end    
    
    % draw the scene
    drawplay;
    % store figure in movie file
    storeframe;
    
end

% retain balls present position
ballold = ballnew;

% draw play scene 5
for i=0.0 : 0.5 : 4.5
    
    % declare ball translation paramters
    bx = -i;
    by = -i;
    % declare translation matrix
    BT = [1 0 bx; 0 1 by; 0 0 1];
    % translate ball
    ballw = [ballold vw]';
    ballcomp = (BT * ballw)';
    ballnew = ballcomp(:,1:2);
    
    % declare ball scale up paramters
    if (i < 2.5)
        sx = sx + 0.03125;
        sy = sy + 0.03125;
    end
    
    % declare ball scale up paramters
    if (i >= 2.5)
        sx = sx - 0.03125;
        sy = sy - 0.03125;
    end
    
    % declare scale matrix
    S = [sx 0  0; 0  sy 0; 0  0  1];
    % declare matrix at origin
    SA=[-1 -1; 1 -1; 1 1; -1 1];
    % scale ball
    SB=[SA vw]';
    SC=(S * SB)';
    SD=SC(:,1:2);
    
    % scale the ball
    ballnew = ballnew + SD;
    
    if (i>0.0) & (i<2.0)
        % declare left translation paramters
        lx = lx + 0.375;
        ly = ly - 0.5;
        % declare left translation matrix
        LT = [1 0 lx; 0 1 ly; 0 0 1];
        % translate left
        leftw = [left vw]';
        leftcomp = (LT * leftw)';
        leftnew = leftcomp(:,1:2);
    end

    % draw the scene
    drawplay;
    % store figure in movie file
    storeframe;
    
end

% show exit scene
% define initial matrix rotation
RA=[-1 -1; 1 -1; 1 1; -1 1];
% declare initial scaling parameter
sx = 1.0;
sy = 1.0;

% loop through exit scene 1
for i=0.0 : 0.5 : 5.0
    
    % draw court
	patch('Vertices', court-adr, 'Faces', f, 'FaceVertexCData', fvcc,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    % draw ball
    patch('Vertices', RA, 'Faces', f, 'FaceVertexCData', fvcb,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
            
    % define angle of rotation for exit ball
    ang  = 22.5;
    % define rotation matrix for exit ball
    R = [cos(ang) -sin(ang) 0; sin(ang) cos(ang) 0; 0 0 1];
    % rotate intro ball
    RB=[RA vw]';
    RC=(R * RB)';
    RA=RC(:,1:2);
    
    % declare scaling parameter
    sx = sx - 0.0625;
    sy = sy - 0.0625;
    % define scale matrix for exit ball
    S = [sx 0  0; 0  sy 0; 0  0  1];
    % scale exit ball
    SB=[RA vw]';
    SC=(S * SB)';
    RA=SC(:,1:2);
    
    % set screen parameters to 2D
	view(2);
    % set axis view
	axis([-6 6 -4 4]);
    % hide axis
	axis off;
    
    % store figure in movie file
    storeframe;
    
end

% loop through exit scene 2
for i=0.0 : 0.5 : 5.5
    
    % draw court
	patch('Vertices', court-adr, 'Faces', f, 'FaceVertexCData', fvcc,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    % draw ball
    patch('Vertices', RA, 'Faces', f, 'FaceVertexCData', fvcb,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    
    % define angle of rotation for exit ball
    ang  = 22.5;
    % define rotation matrix for exit ball
    R = [cos(ang) -sin(ang) 0; sin(ang) cos(ang) 0; 0 0 1];
    % rotate exit ball
    RB=[RA vw]';
    RC=(R * RB)';
    RA=RC(:,1:2);
    
    % declare scaling parameter
    sx = sx + 0.25;
    sy = sy + 0.25;
    % define scale matrix for exit ball
    S = [sx 0  0; 0  sy 0; 0  0  1];
    % scale exit ball
    SB=[RA vw]';
    SC=(S * SB)';
    RA=SC(:,1:2);
    
    % set screen parameters to 2D
	view(2);
    % set axis view
	axis([-6 6 -4 4]);
    % hide axis
	axis off;
    
    % store figure in movie file
    storeframe;
    
end

% define initial ball matrix
RA=[-1 -1; 1 -1; 1 1; -1 1];
rnew = RA;
% define initial paddle matrix
LA=[ -7 -3; -6 -3; -6 3; -7 3];

% loop through exit scene 3
for i=0.0 : 0.5 : 7.5
    
    if(i < 7.0)    
        % declare translation paramters
        lx = i;
        ly = 0;
        % declare translation matrix
        LT = [1 0 lx; 0 1 ly; 0 0 1];
        % translate left paddle
        lw = [LA vw]';
        lcomp = (LT * lw)';
        lnew = lcomp(:,1:2);
    end
    
    if(i > 4.5)
        % declare translation paramters
        rx = i;
        ry = 0;
        % declare translation matrix
        RT = [1 0 rx; 0 1 ry; 0 0 1];
        % translate ball
        rw = [RA vw]';
        rcomp = (RT * rw)';
        rnew = rcomp(:,1:2);
    end
    
    % draw court
	patch('Vertices', court-adr, 'Faces', f, 'FaceVertexCData', fvcc,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    % draw paddle
    patch('Vertices', rnew, 'Faces', f, 'FaceVertexCData', fvcb,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    % draw ball
    patch('Vertices', lnew, 'Faces', f, 'FaceVertexCData', fvcl,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    
    % set screen parameters to 2D
	view(2);
    % set axis view
	axis([-6 6 -4 4]);
    % hide axis
	axis off;
    
    % store figure in movie file
    storeframe;
    
end

% define initial paddle scale
sx = 1.0;
sy = 1.0;

% loop through exit scene 4
for i=0.0 : 0.25 : 12.5
    
    % draw court
	patch('Vertices', court-adr, 'Faces', f, 'FaceVertexCData', fvcc,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    % draw paddle
    patch('Vertices', rnew, 'Faces', f, 'FaceVertexCData', fvcb,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    % draw ball
    patch('Vertices', lnew, 'Faces', f, 'FaceVertexCData', fvcl,...
		'FaceColor', 'flat', 'EdgeColor', 'none');
    
    if(i<7.0)
        
        % declare rotation angle
        ang  = 22.5;
        % declare rotation matrix
        L = [cos(ang) -sin(ang) 0; sin(ang) cos(ang) 0; 0 0 1];
        % rotate paddle
        LB=[lnew vw]';
        LC=(L * LB)';
        LA=LC(:,1:2);
        
        % declare scaling parameter
        sx = sx - 0.25;
        sy = sy - 0.25;
        % define scale matrix for exit paddle
        S = [sx 0  0; 0  sy 0; 0  0  1];
        % scale exit paddle
        SB=[LA vw]';
        SC=(S * SB)';
        lnew=SC(:,1:2);
    end
    
    % draw exit message
    if(i > 4.5)
        text(0,1,'The End','FontSize',36,'FontWeight','bold','Color','r','HorizontalAlignment','center');
        text(0,-1,'Have a nice day!','FontSize',16,'FontWeight','normal','Color','k','HorizontalAlignment','center','FontAngle','italic');
    end
    
    % set screen parameters to 2D
	view(2);
    % set axis view
	axis([-6 6 -4 4]);
    % hide axis
	axis off;
    
    % store figure in movie file
    storeframe;
    
end

% close the avi movie object
aviobj = close(aviobj);